Taslak Döndür

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rotate and the translation is 80% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Move.svg Move
Next: Offset Draft Offset.svg Arrow-right.svg

Draft Rotate.svg Döndür

Menü konumu
Taslak → Döndür
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
R O
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Taşı, Dizi


Tanım

Döndürme aracı, seçilen nesneleri bir referans noktasının etrafındaki belirli bir açıyla döndürür veya kopyalar.

Döndür aracı, Taslak tezgahı veya Eskiz tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ancak Parça tezgahı ve Mimari tezgahı ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.

Dönmeden hareket etmek için Taşı kullanın. Farklı düzenlemelerde çeşitli kopyalar üretmek için Dizi, Yola diz ve Noktalara diz kullanın.

Draft Rotate example.jpg

Bir merkez referans noktası kullanarak bir nesneyi, bir referans açısından başka bir açıyla döndürme


Nasıl kullanılır

  1. Taşımak veya kopyalamak istediğiniz nesneleri seçin.
  2. Draft Rotate.svg Döndür düğmesine basın veya R ardından O tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın. Bu, işlemin dönme ekseninin geçeceği temel noktası olarak işlev görür.
  4. 3D görünümünde ikinci bir noktaya tıklayın veya taban açısını yazın. Bu, ilk nokta etrafında dönecek bir taban çizgisini tanımlar.
  5. 3D görünümünde üçüncü bir noktaya tıklayın veya bir dönüş açısı yazın. Bu, taban çizgisinin ve dolayısıyla nesnelerin dönmesini gösterir.

Sınırlamalar

Eskiz Eskiz oluştur temelli bir nesneyi döndürürken, örneğin Parça tasarım tezgahı (Kalınlık ver, Döndür ile oluşturulan bir özellik , vb.) Orijinal çizimi taşımalısınız. Türetilmiş nesneyi hareket ettirirseniz, taslak tarafından tanımlanan konuma geri dönecektir.

Seçenekler

  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg add point düğmesine basabilirsiniz.
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, işlemi tamamladıktan sonra Döndürme aracı yeniden başlatılır ve böylece araç düğmesine tekrar basmadan nesneleri döndürmenizi veya kopyalamanızı sağlar.
  • Kopyalamamoduna geçmek için P tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Döndürme aracı orijinal şeklini yerinde tutacaktır, ancak üçüncü noktada ayarlanan açıyla bir kopya oluşturur. : Sırayla birkaç kopya yerleştirmek için hem T hem de P kullanabilirsiniz. Bu durumda, kopyalanan öğe en son yerleştirilen kopyadır.
  • Kopyalama moduna geçmek için ikinci noktadan sonra Alt tuşunu basılı tutun. Üçüncü noktaya tıkladıktan sonra Alt tuşunu basılı tutmak, aynı döndürme temel noktasını ve taban çizgisini kullanarak kopya yerleştirmeye devam etmenizi sağlar; İşlemi bitirmek ve tüm kopyaları görmek için Alt tuşunu bırakın.
  • snapping noktanızı mesafeden bağımsız olarak en yakın çeki konumuna zorlamak için dönerken Ctrl tuşunu basılı tutun.
  • Bir sonraki noktanızı dönme baz noktasına göre yatay veya dikey olarak constrain konumuna döndürürken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; önceden yerleştirilmiş kopyalar kalacaktır.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Döndür aracı, aşağıdaki işlevi kullanarak makrolar ve python konsolundan kullanılabilir:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • objectlist içindeki nesnelerin temel noktasını verilen angle ile döndürür.
    • objectlist, tek bir nesne veya bir nesne listesidir.
    • Bir dönme temel noktası (center) ve axis verilirse, bunlar kullanılır; Aksi taktirde rotasyon orijine ve Z ekseni etrafına dayanır. : Dönme açısı, nesnenin taban noktasına göredir, yani bir nesne 45 derece döndürülürse ve ardından bir başka 45 derece döndürülürse, orijinal konumundan toplam 90 derece döndürülür.
  • copy ise True ise orijinal nesneleri döndürmek yerine kopyalar oluşturulur.
  • rotatedlist, orijinal döndürülmüş nesnelerle veya yeni kopyalarla birlikte döndürülür.
    • rotatedlist, objectlist girişine bağlı olarak tek bir nesne veya nesne listesidir.

Örnek:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)